Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.auth
Interface AuthorizationPolicy

All Known Implementing Classes:
  DefaultAuthorizationPolicy, LdapAuthorizationPolicy

    public interface AuthorizationPolicy

This is the interface the AuthorizationManager uses to conduct authorizations.

Users that wish to integrate with their own authorization system must implement this interface, and are strongly encouraged to extend either the AbstractAuthoriationPolicy or the AbstractAuthorizationProvider classes which allow the admin console manage the classes more effectively. Register the class with Openfire in the `openfire.xml` file. An entry in that file would look like the following:

       <provider>
         <authorization>
           <classlist>com.foo.auth.CustomPolicyProvider</classlist>
         </authorization>
       </provider>

Author:
  Jay Kline

Method Summary
`boolean` | `authorize(String username, String principal)` Returns true if the principal is explicity authorized to the JID
`String` | `description()` Returns a description of the Policy
`String` | `name()` Returns the short name of the Policy

Method Detail

### authorize

    boolean authorize(String username,
                      String principal)

  Returns true if the principal is explicity authorized to the JID

  Parameters:
    `username` - The username requested.
    `principal` - The principal requesting the username.
  Returns:
    true is the user is authorized to be principal

### name

    String name()

  Returns the short name of the Policy

  Returns:
    The short name of the Policy

### description

    String description()

  Returns a description of the Policy

  Returns:
    The description of the Policy.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.